View the Most Wanted LQ Wiki articles.
Go Back > Forums > Linux Forums > Linux - Software
User Name
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.


  Search this Thread
Old 08-24-2003, 05:55 PM   #1
LQ Newbie
Registered: Aug 2003
Posts: 8

Rep: Reputation: 0
Conficts with XFree86-Mesa-libGL-4.3.0-2 while installing ati driver

im trying to install a ati driver from i believe i am doing the right thing but when i type rpm -i /home/matthew/fglrx-glc22-4.2.0-2.5.1.i586.rpm it says this on bottom:

[root@HEADACHE matthew]# rpm -i /home/matthew/fglrx-glc22-4.2.0-2.5.1.i586.rpm
file /usr/X11R6/lib/ from install of fglrx-glc22-4.2.0-2.5.1 conflicts with file from package XFree86-Mesa-libGL-4.3.0-2
[root@HEADACHE matthew]#
help me
Old 08-24-2003, 06:08 PM   #2
Senior Member
Registered: Aug 2003
Location: UK
Distribution: Debian SID / KDE 3.5
Posts: 2,313

Rep: Reputation: 47
The ATI drivers are confliciting with the mesa drivers. ATI has its own libGL so type

rpm -e --nodeps XFree86-Mesa-libGL-4.3.0-2
rpm -Uhv .rpm
rpm -i /home/matthew/fglrx-glcc-4.2.0-2.5.1.i586.rpm

The "--nodeps" option is needed cuz stuff is probably depending on this driver. The ATI driver will reslove these dependancies.

Also check for a newer version, (the 4.2.0, there might be a 4.3.0 version).
Old 08-24-2003, 06:10 PM   #3
LQ Newbie
Registered: Aug 2003
Posts: 8

Original Poster
Rep: Reputation: 0

thanks for your time and help


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
how do i remove xorg-x11-Mesa-libGL-6.8.1-12? trscookie Linux - Games 2 04-25-2005 07:12 AM
xorg-x11-Mesa-libGL RPM token2004 Linux - Newbie 1 04-07-2005 07:46 AM
nvidia 66.29 driver-xorg-x11-Mesa-libGL conflict yellowtail Linux - Software 3 02-28-2005 09:34 PM
Will ATI Radeon 8500 XFree86 4.2 driver work with Xfree86 4.3? Stevetgn Linux - Hardware 1 06-24-2003 07:16 PM
Installing Mesa & Mesa-demos... bozotix Linux - Software 2 05-09-2002 01:55 AM

All times are GMT -5. The time now is 09:12 PM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration